You are not logged in.

#1 2013-10-08 15:10:15

Harey
Member
From: Bavaria, Germany
Registered: 2007-03-24
Posts: 297

[SOLVED]New bluedevil and libbluedevil 2.0 crash with bluetooth 5.9

Hi all,

todays updates and the forced uninstallation of bluez4 turn bluetooth completely unusable on my machine. Connecting my headset leads to a reproducable segfault crash in bluedevil-audio. All my other devices can't connect anymore. I removed them and tried to start with a clean config - no luck. Devices are seen and can be added, but don't show up then. Bluez 5.9 itself seems to be ok.

harvey@obelix ~ $ hciconfig hci0
hci0:   Type: BR/EDR  Bus: USB
        BD Address: 00:10:60:D0:F6:61  ACL MTU: 310:10  SCO MTU: 64:8
        UP RUNNING PSCAN ISCAN 
        RX bytes:2592 acl:7 sco:0 events:91 errors:0
        TX bytes:1169 acl:7 sco:0 commands:60 errors:0

systemd's output:

root@obelix /home/harvey # systemctl status bluetooth.service
bluetooth.service - Bluetooth service
   Loaded: loaded (/usr/lib/systemd/system/bluetooth.service; enabled)
   Active: active (running) since Di 2013-10-08 16:41:16 CEST; 19min ago
     Docs: man:bluetoothd(8)
 Main PID: 599 (bluetoothd)
   Status: "Running"
   CGroup: /system.slice/bluetooth.service
           └─599 /usr/lib/bluetooth/bluetoothd

Okt 08 16:41:14 obelix bluetoothd[599]: Bluetooth daemon 5.9
Okt 08 16:41:15 obelix bluetoothd[599]: Starting SDP server
Okt 08 16:41:15 obelix bluetoothd[599]: Bluetooth management interface 1.3 initialized
Okt 08 16:41:16 obelix systemd[1]: Started Bluetooth service.
Okt 08 16:42:11 obelix bluetoothd[599]: Endpoint registered: sender=:1.18 path=/MediaEndpoint/A2DPSource
Okt 08 16:42:11 obelix bluetoothd[599]: Endpoint registered: sender=:1.18 path=/MediaEndpoint/A2DPSink

dmesg ouput:

root@obelix /home/harvey # dmesg | grep Bluetooth
880:[   16.965779] Bluetooth: Core ver 2.16
882:[   16.965790] Bluetooth: HCI device and connection manager initialized
883:[   16.965795] Bluetooth: HCI socket layer initialized
884:[   16.965797] Bluetooth: L2CAP socket layer initialized
885:[   16.965800] Bluetooth: SCO socket layer initialized
904:[   26.194970] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
905:[   26.194977] Bluetooth: BNEP socket layer initialized
917:[   83.704401] Bluetooth: RFCOMM TTY layer initialized
918:[   83.704411] Bluetooth: RFCOMM socket layer initialized
919:[   83.704413] Bluetooth: RFCOMM ver 1.11

Is it intended to move all config files to *.pacsave files without placing new ones under /etc/bluetooth? Has anybody got this working?

Harvey

Last edited by Harey (2013-12-29 10:41:18)


Linux is like a wigwam: No Gates, no Windows and an Apache inside

Offline

#2 2013-11-20 14:17:29

Harey
Member
From: Bavaria, Germany
Registered: 2007-03-24
Posts: 297

Re: [SOLVED]New bluedevil and libbluedevil 2.0 crash with bluetooth 5.9

Well, I give the answer to myself. Nobody gets it to work because it is completely broken. I can't understand why this made it to testing. What should we test here? Bluetooth is a real big mess ATM sad

Harvey


Linux is like a wigwam: No Gates, no Windows and an Apache inside

Offline

#3 2013-11-29 13:42:08

LimaSierra
Member
Registered: 2011-04-26
Posts: 41

Re: [SOLVED]New bluedevil and libbluedevil 2.0 crash with bluetooth 5.9

Hi,

Does this error still occur in 5.11-1?

I am unable to connect to my headset...this could be the reason.

BTW: I have the packages from [extra]

Regards

Offline

#4 2013-11-29 13:51:12

Harey
Member
From: Bavaria, Germany
Registered: 2007-03-24
Posts: 297

Re: [SOLVED]New bluedevil and libbluedevil 2.0 crash with bluetooth 5.9

LimaSierra wrote:

Does this error still occur in 5.11-1?

It does. See here and to make the full round, seek for bluetooth in the bugtracker.

Now judge for yourself.

Harvey


Linux is like a wigwam: No Gates, no Windows and an Apache inside

Offline

#5 2013-12-01 14:56:13

5egFau1t
Member
Registered: 2013-12-01
Posts: 1

Re: [SOLVED]New bluedevil and libbluedevil 2.0 crash with bluetooth 5.9

I am having the same issue, I am running opensuse 13.1, since the upgrade bluetooth has been useless.  I can pair devices, remove devices, but when I try to connect to a device it crashes.

Offline

#6 2013-12-29 09:51:01

Labello
Member
From: Germany
Registered: 2010-01-21
Posts: 315
Website

Re: [SOLVED]New bluedevil and libbluedevil 2.0 crash with bluetooth 5.9

Hello everyone,

I am having maybe a related but more sever issue. First of my currently installed packages are from testing:

[seb@seb-desktop ~]$ pacman -Qs blue
local/bluedevil 1:2.0rc1-1
    KDE bluetooth framework
local/bluez 5.13-1
    Daemons for the bluetooth protocol stack
local/bluez-libs 5.13-1
    Deprecated libraries for the bluetooth protocol stack
local/libbluedevil 1:2.0rc1-2
    A Qt4 wrapper for bluez used in the new KDE bluetooth stack

But whenever I connect to my Apple Magic Trackpad my whole machine immediately freezes. Then only a hard reboot is possible. It used to work just fine some time ago. This is really annoying and I don't have a single clue what to do sad


"They say just hold onto your hope but you know if you swallow your pride you will choke"
Alexisonfire - Midnight Regulations

Offline

#7 2013-12-29 10:40:35

Harey
Member
From: Bavaria, Germany
Registered: 2007-03-24
Posts: 297

Re: [SOLVED]New bluedevil and libbluedevil 2.0 crash with bluetooth 5.9

Labello,

please open a new thread as this seems to be another issue. My problems with libbluedevil are gone since 1:2.0rc1-2. I will set the thread to 'solved'. For a first short debugging I would try if the machine freezes with pure bluez too. Use bluetoothctl to pair/connect and see what happens. Then report the issue upstream.

Harvey


Linux is like a wigwam: No Gates, no Windows and an Apache inside

Offline

Board footer

Powered by FluxBB